View Bazaar branches
Get this repository:
git clone https://git.launchpad.net/ubuntu/+source/pam
Members of Ubuntu Server Dev import team can upload to this repository. Log in for directions.

Branches

Name Last Modified Last Commit
applied/ubuntu/intrepid-proposed 2009-03-25 12:04:12 UTC 2009-03-25
Import patches-applied version 1.0.1-4ubuntu5.5 to applied/ubuntu/intrepid-pr...

Author: Steve Langasek
Author Date: 2009-03-10 06:02:31 UTC

Import patches-applied version 1.0.1-4ubuntu5.5 to applied/ubuntu/intrepid-proposed

Imported using git-ubuntu import.

Changelog parent: 7227160d7f29c26991e4330affb5d2555d6926af
Unapplied parent: 6691db90e11e6bf3eef7eb9957836117b995327a

New changelog entries:
  * pam-auth-update: trim leading whitespace from multiline fields when
    parsing PAM profiles. LP: #295441.

ubuntu/intrepid-proposed 2009-03-25 12:04:12 UTC 2009-03-25
Import patches-unapplied version 1.0.1-4ubuntu5.5 to ubuntu/intrepid-proposed

Author: Steve Langasek
Author Date: 2009-03-10 06:02:31 UTC

Import patches-unapplied version 1.0.1-4ubuntu5.5 to ubuntu/intrepid-proposed

Imported using git-ubuntu import.

Changelog parent: 043039fef4ad48d17d897c8d5ba34aa3875f426a

New changelog entries:
  * pam-auth-update: trim leading whitespace from multiline fields when
    parsing PAM profiles. LP: #295441.

ubuntu/jaunty 2009-03-21 10:07:18 UTC 2009-03-21
Import patches-unapplied version 1.0.1-9ubuntu1 to ubuntu/jaunty

Author: Steve Langasek
Author Date: 2009-03-21 02:12:10 UTC

Import patches-unapplied version 1.0.1-9ubuntu1 to ubuntu/jaunty

Imported using git-ubuntu import.

Changelog parent: 7c33c9783917cf559c1a06237ea1533fbdfd13b5

New changelog entries:
  * Merge from Debian unstable
  * Remaining changes:
    - debian/libpam-modules.postinst: Add PATH to /etc/environment if it's not
      present there or in /etc/security/pam_env.conf. (should send to Debian).
    - debian/libpam0g.postinst: only ask questions during update-manager when
      there are non-default services running.
    - debian/patches-applied/series: Ubuntu patches are as below ...
    - debian/patches-applied/ubuntu-fix_standard_types: Use standard u_int8_t
      type rather than __u8.
    - debian/patches-applied/ubuntu-no-error-if-missingok: add a new, magic
      module option 'missingok' which will suppress logging of errors by
      libpam if the module is not found.
    - debian/patches-applied/ubuntu-regression_fix_securetty: prompt for
      password on bad username.
    - debian/patches-applied/ubuntu-rlimit_nice_correction: Explicitly
      initialise RLIMIT_NICE rather than relying on the kernel limits.
    - debian/patches-applied/ubuntu-user_defined_environment: Look at
      ~/.pam_environment too, with the same format as
      /etc/security/pam_env.conf. (Originally patch 100; converted to quilt.)
    - Change Vcs-Bzr to point at the Ubuntu branch.
    - debian/local/common-password, debian/pam-configs/unix: switch from
      "md5" to "sha512" as password crypt default.

applied/ubuntu/jaunty 2009-03-21 10:07:18 UTC 2009-03-21
Import patches-applied version 1.0.1-9ubuntu1 to applied/ubuntu/jaunty

Author: Steve Langasek
Author Date: 2009-03-21 02:12:10 UTC

Import patches-applied version 1.0.1-9ubuntu1 to applied/ubuntu/jaunty

Imported using git-ubuntu import.

Changelog parent: 4720b52235aada4a8aceb2b72cccb078b3aa543c
Unapplied parent: 3eec304276b5baa9eafed1dafff8068754bd3902

New changelog entries:
  * Merge from Debian unstable
  * Remaining changes:
    - debian/libpam-modules.postinst: Add PATH to /etc/environment if it's not
      present there or in /etc/security/pam_env.conf. (should send to Debian).
    - debian/libpam0g.postinst: only ask questions during update-manager when
      there are non-default services running.
    - debian/patches-applied/series: Ubuntu patches are as below ...
    - debian/patches-applied/ubuntu-fix_standard_types: Use standard u_int8_t
      type rather than __u8.
    - debian/patches-applied/ubuntu-no-error-if-missingok: add a new, magic
      module option 'missingok' which will suppress logging of errors by
      libpam if the module is not found.
    - debian/patches-applied/ubuntu-regression_fix_securetty: prompt for
      password on bad username.
    - debian/patches-applied/ubuntu-rlimit_nice_correction: Explicitly
      initialise RLIMIT_NICE rather than relying on the kernel limits.
    - debian/patches-applied/ubuntu-user_defined_environment: Look at
      ~/.pam_environment too, with the same format as
      /etc/security/pam_env.conf. (Originally patch 100; converted to quilt.)
    - Change Vcs-Bzr to point at the Ubuntu branch.
    - debian/local/common-password, debian/pam-configs/unix: switch from
      "md5" to "sha512" as password crypt default.

ubuntu/intrepid 2008-10-16 05:05:55 UTC 2008-10-16
Import patches-unapplied version 1.0.1-4ubuntu5 to ubuntu/intrepid

Author: Steve Langasek
Author Date: 2008-10-16 01:11:13 UTC

Import patches-unapplied version 1.0.1-4ubuntu5 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: b9e1153de007690819ff5b3cdaaecac60054f156

New changelog entries:
  * debian/libpam0g.postinst: change 'cupsys' to 'cups' in the list of
    default desktop services that are ignored in deciding whether to prompt
    for service restarts on upgrade. Partially addresses LP #278117.
  * debian/libpam0g.postinst: also filter out samba, which may be installed
    on the desktop to enable filesharing.
  * debian/libpam-cracklib.prerm, debian/libpam-runtime.prerm: add the
    ubiquitous debhelper tokens (currently a no-op)
  * pam-auth-update: Use -Initial only for the first profile, even when
    there's no explicit -Initial config for that first profile
  * fix common-session/common-password to use the same overall stack
    structure as auth/account, so that we get the correct behavior when
    all password modules fail. LP: #272232.

applied/ubuntu/intrepid 2008-10-16 05:05:55 UTC 2008-10-16
Import patches-applied version 1.0.1-4ubuntu5 to applied/ubuntu/intrepid

Author: Steve Langasek
Author Date: 2008-10-16 01:11:13 UTC

Import patches-applied version 1.0.1-4ubuntu5 to applied/ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 49c552f2f16c6881c252790c8ead223fc294675c
Unapplied parent: 79fabc0c2bba451516afa1e7a97c7e6ee2156631

New changelog entries:
  * debian/libpam0g.postinst: change 'cupsys' to 'cups' in the list of
    default desktop services that are ignored in deciding whether to prompt
    for service restarts on upgrade. Partially addresses LP #278117.
  * debian/libpam0g.postinst: also filter out samba, which may be installed
    on the desktop to enable filesharing.
  * debian/libpam-cracklib.prerm, debian/libpam-runtime.prerm: add the
    ubiquitous debhelper tokens (currently a no-op)
  * pam-auth-update: Use -Initial only for the first profile, even when
    there's no explicit -Initial config for that first profile
  * fix common-session/common-password to use the same overall stack
    structure as auth/account, so that we get the correct behavior when
    all password modules fail. LP: #272232.

applied/ubuntu/hardy-proposed 2008-05-16 16:04:16 UTC 2008-05-16
Import patches-applied version 0.99.7.1-5ubuntu6.1 to applied/ubuntu/hardy-pr...

Author: Steve Langasek
Author Date: 2008-04-22 18:53:37 UTC

Import patches-applied version 0.99.7.1-5ubuntu6.1 to applied/ubuntu/hardy-proposed

Imported using git-ubuntu import.

Changelog parent: b1c3c00aa7b1734ce8ddad7fd0c5d5d619effd05
Unapplied parent: 3ea729096a1fd3d8c883a462f772733e6c04cfe3

New changelog entries:
  * debian/patches-applied/ubuntu-no-error-if-missingok: add a new, magic
    module option 'missingok' which will suppress logging of errors by
    libpam if the module is not found.
  * debian/local/common-{auth,password}, debian/libpam-runtime.postinst:
    Use the new 'missingok' option by default for pam_smbpass, to
    correct the problem of very loud logging introduced in the previous
    upload when libpam-smbpass is not installed. LP: #216990.

ubuntu/hardy-proposed 2008-05-16 16:04:16 UTC 2008-05-16
Import patches-unapplied version 0.99.7.1-5ubuntu6.1 to ubuntu/hardy-proposed

Author: Steve Langasek
Author Date: 2008-04-22 18:53:37 UTC

Import patches-unapplied version 0.99.7.1-5ubuntu6.1 to ubuntu/hardy-proposed

Imported using git-ubuntu import.

Changelog parent: 440e4391aa8ced76d30dbe0035bce5d3a0828ad5

New changelog entries:
  * debian/patches-applied/ubuntu-no-error-if-missingok: add a new, magic
    module option 'missingok' which will suppress logging of errors by
    libpam if the module is not found.
  * debian/local/common-{auth,password}, debian/libpam-runtime.postinst:
    Use the new 'missingok' option by default for pam_smbpass, to
    correct the problem of very loud logging introduced in the previous
    upload when libpam-smbpass is not installed. LP: #216990.

applied/ubuntu/hardy 2008-04-09 21:04:39 UTC 2008-04-09
Import patches-applied version 0.99.7.1-5ubuntu6 to applied/ubuntu/hardy

Author: Steve Langasek
Author Date: 2008-04-08 18:21:40 UTC

Import patches-applied version 0.99.7.1-5ubuntu6 to applied/ubuntu/hardy

Imported using git-ubuntu import.

Changelog parent: c336f234e5170dad321a78411463b59f2e38a757
Unapplied parent: 440e4391aa8ced76d30dbe0035bce5d3a0828ad5

New changelog entries:
  * debian/local/common-{auth,password}, debian/libpam-runtime.postinst:
    Add pam_smbpass as an optional module in the stack, to keep NTLM
    passwords (for filesharing) in sync with the main system passwords on a
    best-effort basis. LP: #208419.

ubuntu/hardy 2008-04-09 21:04:39 UTC 2008-04-09
Import patches-unapplied version 0.99.7.1-5ubuntu6 to ubuntu/hardy

Author: Steve Langasek
Author Date: 2008-04-08 18:21:40 UTC

Import patches-unapplied version 0.99.7.1-5ubuntu6 to ubuntu/hardy

Imported using git-ubuntu import.

Changelog parent: c97413a820ba9dd470ecb2778c89555ee3ebe097

New changelog entries:
  * debian/local/common-{auth,password}, debian/libpam-runtime.postinst:
    Add pam_smbpass as an optional module in the stack, to keep NTLM
    passwords (for filesharing) in sync with the main system passwords on a
    best-effort basis. LP: #208419.

applied/ubuntu/gutsy-devel 2007-10-01 19:05:17 UTC 2007-10-01
Import patches-applied version 0.99.7.1-5ubuntu1 to applied/ubuntu/gutsy

Author: Steve Langasek
Author Date: 2007-09-29 06:45:24 UTC

Import patches-applied version 0.99.7.1-5ubuntu1 to applied/ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 49d7073c25b4a68ffbbb9006e1bbeda90bda21c4
Unapplied parent: 63657aba6f1f16260e90b7ad1edac90744e149c2

New changelog entries:
  * Resynchronise with Debian. Remaining changes:
    - debian/control, debian/local/common-session{,md5sums}: use
      libpam-foreground for session management.
    - debian/rules: install unix_chkpwd setgid shadow instead of setuid root.
      The nis package handles overriding this as necessary.
    - debian/libpam-modules.postinst: Add PATH to /etc/environment if it's not
      present there or in /etc/security/pam_env.conf.
    - debian/patches-applied/ubuntu-fix_standard_types: Use standard u_int8_t
      type rather than __u8.
    - debian/patches-applied/ubuntu-rlimit_nice_correction: Explicitly
      initialise RLIMIT_NICE rather than relying on the kernel limits. Bound
      RLIMIT_NICE from below as well as from above. Fix off-by-one error when
      converting RLIMIT_NICE to the range of values used by the kernel.
      (Originally patch 101; converted to quilt.)
    - debian/patches-applied/ubuntu-user_defined_environment: Look at
      ~/.pam_environment too, with the same format as
      /etc/security/pam_env.conf. (Originally patch 100; converted to quilt.)
    - debian/patches-applied/ubuntu-regression_fix_securetty: securetty's
      earlier behavior would correctly prompt for password on bad usernames
      (LP: #139075).
    - Build using db4.5 instead of db4.6.
    - debian/libpam0g.postinst: only ask questions during update-manager when
      there are non-default services running (LP: #141309).
  * debian/libpam0g.postinst: don't display a debconf warning about display
    managers that need restarting when update-manager is running, instead
    signal to update-notifier if a reboot is required.
  * More lintian overrides, related to debconf prompting in the postinst
  * Debconf translations:
    - Brazilian Portuguese, thanks to Eder L. Marques <frolic@debian-ce.org>
      (closes: #440385)
    - Russian, thanks to Yuri Kozlov <kozlov.y@gmail.com>
      (closes: #440390, #440953, #444039)
    - Bulgarian, thanks to Damyan Ivanov <dam@modsoftsys.com>
      (closes: #441863)
    - Finnish, thanks to Esko Arajärvi <edu@iki.fi> (closes: #443720)
    - Simplified Chinese, thanks to Ming Hua
      <minghua-guest@users.alioth.debian.org> (closes: #443924)
    - Updated Portuguese, thanks to Américo Monteiro <a_monteiro@netcabo.pt>
    - Updated Vietnamese, thanks to Clytie Siddall <clytie@riverland.net.au>
      (closes: #440800)
    - Updated German, thanks to Sven Joachim <svenjoac@gmx.de>
    - Updated Spanish, thanks to Javier Fernández-Sanguino Peña
      <jfs@debian.org>
    - Updated Czech, thanks to Miroslav Kure <kurem@debian.cz>
      (closes: #441325)
  * Further cleanups of 007_modules_pam_unix -- don't use a global variable
    for pass_min_len, don't gratuitously move the length checking into the
    "obscure" checks, and internationalize the error strings.
  * Stop overriding the built-in default minimum password length in
    /etc/pam.d/common-password, and also drop the "max" option which has now
    been obsoleted.
  * Fix up the comments in /etc/pam.d/common-password to make it clear that
    the options are specific to pam_unix. Closes: #414559.
  * Patch 038: fix another thinko in the getline handling. Closes: #442276.
  * If there are active X logins, don't restart kdm, wdm, and xdm by default;
    instead, display a debconf error if they haven't been restarted.
    Closes: #441843.
  * Drop the local patch for Linux capabilities in pam_limits; Linux
    capabilities are not generally useful in a PAM context, and the PAM
    capabilities patch has been broken through much of its life.
    Closes: #440130.
  * -Wl,-z,defs was never enabled correctly, drop it since upstream is
    already using -no-undefined
  * Pass --build and --host args to ./configure as necessary, for
    cross-building support.

ubuntu/gutsy-devel 2007-10-01 19:05:17 UTC 2007-10-01
Import patches-unapplied version 0.99.7.1-5ubuntu1 to ubuntu/gutsy

Author: Steve Langasek
Author Date: 2007-09-29 06:45:24 UTC

Import patches-unapplied version 0.99.7.1-5ubuntu1 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 09ad5f2306728698f718120983f3b3f3b13d2ab5

New changelog entries:
  * Resynchronise with Debian. Remaining changes:
    - debian/control, debian/local/common-session{,md5sums}: use
      libpam-foreground for session management.
    - debian/rules: install unix_chkpwd setgid shadow instead of setuid root.
      The nis package handles overriding this as necessary.
    - debian/libpam-modules.postinst: Add PATH to /etc/environment if it's not
      present there or in /etc/security/pam_env.conf.
    - debian/patches-applied/ubuntu-fix_standard_types: Use standard u_int8_t
      type rather than __u8.
    - debian/patches-applied/ubuntu-rlimit_nice_correction: Explicitly
      initialise RLIMIT_NICE rather than relying on the kernel limits. Bound
      RLIMIT_NICE from below as well as from above. Fix off-by-one error when
      converting RLIMIT_NICE to the range of values used by the kernel.
      (Originally patch 101; converted to quilt.)
    - debian/patches-applied/ubuntu-user_defined_environment: Look at
      ~/.pam_environment too, with the same format as
      /etc/security/pam_env.conf. (Originally patch 100; converted to quilt.)
    - debian/patches-applied/ubuntu-regression_fix_securetty: securetty's
      earlier behavior would correctly prompt for password on bad usernames
      (LP: #139075).
    - Build using db4.5 instead of db4.6.
    - debian/libpam0g.postinst: only ask questions during update-manager when
      there are non-default services running (LP: #141309).
  * debian/libpam0g.postinst: don't display a debconf warning about display
    managers that need restarting when update-manager is running, instead
    signal to update-notifier if a reboot is required.
  * More lintian overrides, related to debconf prompting in the postinst
  * Debconf translations:
    - Brazilian Portuguese, thanks to Eder L. Marques <frolic@debian-ce.org>
      (closes: #440385)
    - Russian, thanks to Yuri Kozlov <kozlov.y@gmail.com>
      (closes: #440390, #440953, #444039)
    - Bulgarian, thanks to Damyan Ivanov <dam@modsoftsys.com>
      (closes: #441863)
    - Finnish, thanks to Esko Arajärvi <edu@iki.fi> (closes: #443720)
    - Simplified Chinese, thanks to Ming Hua
      <minghua-guest@users.alioth.debian.org> (closes: #443924)
    - Updated Portuguese, thanks to Américo Monteiro <a_monteiro@netcabo.pt>
    - Updated Vietnamese, thanks to Clytie Siddall <clytie@riverland.net.au>
      (closes: #440800)
    - Updated German, thanks to Sven Joachim <svenjoac@gmx.de>
    - Updated Spanish, thanks to Javier Fernández-Sanguino Peña
      <jfs@debian.org>
    - Updated Czech, thanks to Miroslav Kure <kurem@debian.cz>
      (closes: #441325)
  * Further cleanups of 007_modules_pam_unix -- don't use a global variable
    for pass_min_len, don't gratuitously move the length checking into the
    "obscure" checks, and internationalize the error strings.
  * Stop overriding the built-in default minimum password length in
    /etc/pam.d/common-password, and also drop the "max" option which has now
    been obsoleted.
  * Fix up the comments in /etc/pam.d/common-password to make it clear that
    the options are specific to pam_unix. Closes: #414559.
  * Patch 038: fix another thinko in the getline handling. Closes: #442276.
  * If there are active X logins, don't restart kdm, wdm, and xdm by default;
    instead, display a debconf error if they haven't been restarted.
    Closes: #441843.
  * Drop the local patch for Linux capabilities in pam_limits; Linux
    capabilities are not generally useful in a PAM context, and the PAM
    capabilities patch has been broken through much of its life.
    Closes: #440130.
  * -Wl,-z,defs was never enabled correctly, drop it since upstream is
    already using -no-undefined
  * Pass --build and --host args to ./configure as necessary, for
    cross-building support.

ubuntu/gutsy 2007-10-01 19:05:17 UTC 2007-10-01
Import patches-unapplied version 0.99.7.1-5ubuntu1 to ubuntu/gutsy

Author: Steve Langasek
Author Date: 2007-09-29 06:45:24 UTC

Import patches-unapplied version 0.99.7.1-5ubuntu1 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 09ad5f2306728698f718120983f3b3f3b13d2ab5

New changelog entries:
  * Resynchronise with Debian. Remaining changes:
    - debian/control, debian/local/common-session{,md5sums}: use
      libpam-foreground for session management.
    - debian/rules: install unix_chkpwd setgid shadow instead of setuid root.
      The nis package handles overriding this as necessary.
    - debian/libpam-modules.postinst: Add PATH to /etc/environment if it's not
      present there or in /etc/security/pam_env.conf.
    - debian/patches-applied/ubuntu-fix_standard_types: Use standard u_int8_t
      type rather than __u8.
    - debian/patches-applied/ubuntu-rlimit_nice_correction: Explicitly
      initialise RLIMIT_NICE rather than relying on the kernel limits. Bound
      RLIMIT_NICE from below as well as from above. Fix off-by-one error when
      converting RLIMIT_NICE to the range of values used by the kernel.
      (Originally patch 101; converted to quilt.)
    - debian/patches-applied/ubuntu-user_defined_environment: Look at
      ~/.pam_environment too, with the same format as
      /etc/security/pam_env.conf. (Originally patch 100; converted to quilt.)
    - debian/patches-applied/ubuntu-regression_fix_securetty: securetty's
      earlier behavior would correctly prompt for password on bad usernames
      (LP: #139075).
    - Build using db4.5 instead of db4.6.
    - debian/libpam0g.postinst: only ask questions during update-manager when
      there are non-default services running (LP: #141309).
  * debian/libpam0g.postinst: don't display a debconf warning about display
    managers that need restarting when update-manager is running, instead
    signal to update-notifier if a reboot is required.
  * More lintian overrides, related to debconf prompting in the postinst
  * Debconf translations:
    - Brazilian Portuguese, thanks to Eder L. Marques <frolic@debian-ce.org>
      (closes: #440385)
    - Russian, thanks to Yuri Kozlov <kozlov.y@gmail.com>
      (closes: #440390, #440953, #444039)
    - Bulgarian, thanks to Damyan Ivanov <dam@modsoftsys.com>
      (closes: #441863)
    - Finnish, thanks to Esko Arajärvi <edu@iki.fi> (closes: #443720)
    - Simplified Chinese, thanks to Ming Hua
      <minghua-guest@users.alioth.debian.org> (closes: #443924)
    - Updated Portuguese, thanks to Américo Monteiro <a_monteiro@netcabo.pt>
    - Updated Vietnamese, thanks to Clytie Siddall <clytie@riverland.net.au>
      (closes: #440800)
    - Updated German, thanks to Sven Joachim <svenjoac@gmx.de>
    - Updated Spanish, thanks to Javier Fernández-Sanguino Peña
      <jfs@debian.org>
    - Updated Czech, thanks to Miroslav Kure <kurem@debian.cz>
      (closes: #441325)
  * Further cleanups of 007_modules_pam_unix -- don't use a global variable
    for pass_min_len, don't gratuitously move the length checking into the
    "obscure" checks, and internationalize the error strings.
  * Stop overriding the built-in default minimum password length in
    /etc/pam.d/common-password, and also drop the "max" option which has now
    been obsoleted.
  * Fix up the comments in /etc/pam.d/common-password to make it clear that
    the options are specific to pam_unix. Closes: #414559.
  * Patch 038: fix another thinko in the getline handling. Closes: #442276.
  * If there are active X logins, don't restart kdm, wdm, and xdm by default;
    instead, display a debconf error if they haven't been restarted.
    Closes: #441843.
  * Drop the local patch for Linux capabilities in pam_limits; Linux
    capabilities are not generally useful in a PAM context, and the PAM
    capabilities patch has been broken through much of its life.
    Closes: #440130.
  * -Wl,-z,defs was never enabled correctly, drop it since upstream is
    already using -no-undefined
  * Pass --build and --host args to ./configure as necessary, for
    cross-building support.

applied/ubuntu/gutsy 2007-10-01 19:05:17 UTC 2007-10-01
Import patches-applied version 0.99.7.1-5ubuntu1 to applied/ubuntu/gutsy

Author: Steve Langasek
Author Date: 2007-09-29 06:45:24 UTC

Import patches-applied version 0.99.7.1-5ubuntu1 to applied/ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 49d7073c25b4a68ffbbb9006e1bbeda90bda21c4
Unapplied parent: 63657aba6f1f16260e90b7ad1edac90744e149c2

New changelog entries:
  * Resynchronise with Debian. Remaining changes:
    - debian/control, debian/local/common-session{,md5sums}: use
      libpam-foreground for session management.
    - debian/rules: install unix_chkpwd setgid shadow instead of setuid root.
      The nis package handles overriding this as necessary.
    - debian/libpam-modules.postinst: Add PATH to /etc/environment if it's not
      present there or in /etc/security/pam_env.conf.
    - debian/patches-applied/ubuntu-fix_standard_types: Use standard u_int8_t
      type rather than __u8.
    - debian/patches-applied/ubuntu-rlimit_nice_correction: Explicitly
      initialise RLIMIT_NICE rather than relying on the kernel limits. Bound
      RLIMIT_NICE from below as well as from above. Fix off-by-one error when
      converting RLIMIT_NICE to the range of values used by the kernel.
      (Originally patch 101; converted to quilt.)
    - debian/patches-applied/ubuntu-user_defined_environment: Look at
      ~/.pam_environment too, with the same format as
      /etc/security/pam_env.conf. (Originally patch 100; converted to quilt.)
    - debian/patches-applied/ubuntu-regression_fix_securetty: securetty's
      earlier behavior would correctly prompt for password on bad usernames
      (LP: #139075).
    - Build using db4.5 instead of db4.6.
    - debian/libpam0g.postinst: only ask questions during update-manager when
      there are non-default services running (LP: #141309).
  * debian/libpam0g.postinst: don't display a debconf warning about display
    managers that need restarting when update-manager is running, instead
    signal to update-notifier if a reboot is required.
  * More lintian overrides, related to debconf prompting in the postinst
  * Debconf translations:
    - Brazilian Portuguese, thanks to Eder L. Marques <frolic@debian-ce.org>
      (closes: #440385)
    - Russian, thanks to Yuri Kozlov <kozlov.y@gmail.com>
      (closes: #440390, #440953, #444039)
    - Bulgarian, thanks to Damyan Ivanov <dam@modsoftsys.com>
      (closes: #441863)
    - Finnish, thanks to Esko Arajärvi <edu@iki.fi> (closes: #443720)
    - Simplified Chinese, thanks to Ming Hua
      <minghua-guest@users.alioth.debian.org> (closes: #443924)
    - Updated Portuguese, thanks to Américo Monteiro <a_monteiro@netcabo.pt>
    - Updated Vietnamese, thanks to Clytie Siddall <clytie@riverland.net.au>
      (closes: #440800)
    - Updated German, thanks to Sven Joachim <svenjoac@gmx.de>
    - Updated Spanish, thanks to Javier Fernández-Sanguino Peña
      <jfs@debian.org>
    - Updated Czech, thanks to Miroslav Kure <kurem@debian.cz>
      (closes: #441325)
  * Further cleanups of 007_modules_pam_unix -- don't use a global variable
    for pass_min_len, don't gratuitously move the length checking into the
    "obscure" checks, and internationalize the error strings.
  * Stop overriding the built-in default minimum password length in
    /etc/pam.d/common-password, and also drop the "max" option which has now
    been obsoleted.
  * Fix up the comments in /etc/pam.d/common-password to make it clear that
    the options are specific to pam_unix. Closes: #414559.
  * Patch 038: fix another thinko in the getline handling. Closes: #442276.
  * If there are active X logins, don't restart kdm, wdm, and xdm by default;
    instead, display a debconf error if they haven't been restarted.
    Closes: #441843.
  * Drop the local patch for Linux capabilities in pam_limits; Linux
    capabilities are not generally useful in a PAM context, and the PAM
    capabilities patch has been broken through much of its life.
    Closes: #440130.
  * -Wl,-z,defs was never enabled correctly, drop it since upstream is
    already using -no-undefined
  * Pass --build and --host args to ./configure as necessary, for
    cross-building support.

applied/ubuntu/feisty 2006-12-20 17:03:22 UTC 2006-12-20
Import patches-applied version 0.79-4ubuntu2 to applied/ubuntu/feisty

Author: Colin Watson
Author Date: 2006-12-20 16:14:37 UTC

Import patches-applied version 0.79-4ubuntu2 to applied/ubuntu/feisty

Imported using git-ubuntu import.

Changelog parent: 8b6622c273457d62dbdcf63ca2b535bfb024c91d
Unapplied parent: 0abb1983dee5895f99a20c9012ac2977bf85c9eb

New changelog entries:
  * Remove /usr/bin/X11 from default PATH (new installs only).

applied/ubuntu/feisty-devel 2006-12-20 17:03:22 UTC 2006-12-20
Import patches-applied version 0.79-4ubuntu2 to applied/ubuntu/feisty

Author: Colin Watson
Author Date: 2006-12-20 16:14:37 UTC

Import patches-applied version 0.79-4ubuntu2 to applied/ubuntu/feisty

Imported using git-ubuntu import.

Changelog parent: 8b6622c273457d62dbdcf63ca2b535bfb024c91d
Unapplied parent: 0abb1983dee5895f99a20c9012ac2977bf85c9eb

New changelog entries:
  * Remove /usr/bin/X11 from default PATH (new installs only).

ubuntu/feisty 2006-12-20 17:03:22 UTC 2006-12-20
Import patches-unapplied version 0.79-4ubuntu2 to ubuntu/feisty

Author: Colin Watson
Author Date: 2006-12-20 16:14:37 UTC

Import patches-unapplied version 0.79-4ubuntu2 to ubuntu/feisty

Imported using git-ubuntu import.

Changelog parent: 0016f7daaa05fb5cfe13fd3828da82c05bc25658

New changelog entries:
  * Remove /usr/bin/X11 from default PATH (new installs only).

ubuntu/feisty-devel 2006-12-20 17:03:22 UTC 2006-12-20
Import patches-unapplied version 0.79-4ubuntu2 to ubuntu/feisty

Author: Colin Watson
Author Date: 2006-12-20 16:14:37 UTC

Import patches-unapplied version 0.79-4ubuntu2 to ubuntu/feisty

Imported using git-ubuntu import.

Changelog parent: 0016f7daaa05fb5cfe13fd3828da82c05bc25658

New changelog entries:
  * Remove /usr/bin/X11 from default PATH (new installs only).

ubuntu/edgy 2006-06-29 17:09:02 UTC 2006-06-29
Import patches-unapplied version 0.79-3.1ubuntu1 to ubuntu/edgy

Author: Colin Watson
Author Date: 2006-06-29 16:27:34 UTC

Import patches-unapplied version 0.79-3.1ubuntu1 to ubuntu/edgy

Imported using git-ubuntu import.

Changelog parent: d26f1677e8fd807bd6c6299853f8e3111ff04a9f

New changelog entries:
  * Resynchronise with Debian.
  * Non-maintainer upload.
  * Linux-PAM/libpamc/include/security/pam_client.h,
    Linux-PAM/libpamc/pamc_converse.c: Apply patch from
    latest upstream version to remove redefinition of internal
    glibc/libstdc++ types. Closes: #344447.

applied/ubuntu/edgy 2006-06-29 17:09:02 UTC 2006-06-29
Import patches-applied version 0.79-3.1ubuntu1 to applied/ubuntu/edgy

Author: Colin Watson
Author Date: 2006-06-29 16:27:34 UTC

Import patches-applied version 0.79-3.1ubuntu1 to applied/ubuntu/edgy

Imported using git-ubuntu import.

Changelog parent: a7bd7516123af087fb829368fce9bda994ce1afc
Unapplied parent: 10a8bfb90ac08f9b0040990bc1d15529801b71c5

New changelog entries:
  * Resynchronise with Debian.
  * Non-maintainer upload.
  * Linux-PAM/libpamc/include/security/pam_client.h,
    Linux-PAM/libpamc/pamc_converse.c: Apply patch from
    latest upstream version to remove redefinition of internal
    glibc/libstdc++ types. Closes: #344447.

applied/ubuntu/edgy-devel 2006-06-29 17:09:02 UTC 2006-06-29
Import patches-applied version 0.79-3.1ubuntu1 to applied/ubuntu/edgy

Author: Colin Watson
Author Date: 2006-06-29 16:27:34 UTC

Import patches-applied version 0.79-3.1ubuntu1 to applied/ubuntu/edgy

Imported using git-ubuntu import.

Changelog parent: a7bd7516123af087fb829368fce9bda994ce1afc
Unapplied parent: 10a8bfb90ac08f9b0040990bc1d15529801b71c5

New changelog entries:
  * Resynchronise with Debian.
  * Non-maintainer upload.
  * Linux-PAM/libpamc/include/security/pam_client.h,
    Linux-PAM/libpamc/pamc_converse.c: Apply patch from
    latest upstream version to remove redefinition of internal
    glibc/libstdc++ types. Closes: #344447.

ubuntu/edgy-devel 2006-06-29 17:09:02 UTC 2006-06-29
Import patches-unapplied version 0.79-3.1ubuntu1 to ubuntu/edgy

Author: Colin Watson
Author Date: 2006-06-29 16:27:34 UTC

Import patches-unapplied version 0.79-3.1ubuntu1 to ubuntu/edgy

Imported using git-ubuntu import.

Changelog parent: d26f1677e8fd807bd6c6299853f8e3111ff04a9f

New changelog entries:
  * Resynchronise with Debian.
  * Non-maintainer upload.
  * Linux-PAM/libpamc/include/security/pam_client.h,
    Linux-PAM/libpamc/pamc_converse.c: Apply patch from
    latest upstream version to remove redefinition of internal
    glibc/libstdc++ types. Closes: #344447.

applied/ubuntu/dapper 2006-05-12 17:07:03 UTC 2006-05-12
Import patches-applied version 0.79-3ubuntu14 to applied/ubuntu/dapper

Author: Colin Watson
Author Date: 2006-05-12 16:42:40 UTC

Import patches-applied version 0.79-3ubuntu14 to applied/ubuntu/dapper

Imported using git-ubuntu import.

Changelog parent: d417fe8086da7a03f644d6669f4fc25294ff41ca
Unapplied parent: d26f1677e8fd807bd6c6299853f8e3111ff04a9f

New changelog entries:
  * debian/patches-applied/061_pam_rlimits_nice_rtprio: Protect use of
    RLIMIT_NICE in init_limits() with an #ifdef.

ubuntu/dapper-devel 2006-05-12 17:07:03 UTC 2006-05-12
Import patches-unapplied version 0.79-3ubuntu14 to ubuntu/dapper

Author: Colin Watson
Author Date: 2006-05-12 16:42:40 UTC

Import patches-unapplied version 0.79-3ubuntu14 to ubuntu/dapper

Imported using git-ubuntu import.

Changelog parent: d1e999d1943bad3845b07ad016c32d28f23ee5d3

New changelog entries:
  * debian/patches-applied/061_pam_rlimits_nice_rtprio: Protect use of
    RLIMIT_NICE in init_limits() with an #ifdef.

ubuntu/dapper 2006-05-12 17:07:03 UTC 2006-05-12
Import patches-unapplied version 0.79-3ubuntu14 to ubuntu/dapper

Author: Colin Watson
Author Date: 2006-05-12 16:42:40 UTC

Import patches-unapplied version 0.79-3ubuntu14 to ubuntu/dapper

Imported using git-ubuntu import.

Changelog parent: d1e999d1943bad3845b07ad016c32d28f23ee5d3

New changelog entries:
  * debian/patches-applied/061_pam_rlimits_nice_rtprio: Protect use of
    RLIMIT_NICE in init_limits() with an #ifdef.

applied/ubuntu/dapper-devel 2006-05-12 17:07:03 UTC 2006-05-12
Import patches-applied version 0.79-3ubuntu14 to applied/ubuntu/dapper

Author: Colin Watson
Author Date: 2006-05-12 16:42:40 UTC

Import patches-applied version 0.79-3ubuntu14 to applied/ubuntu/dapper

Imported using git-ubuntu import.

Changelog parent: d417fe8086da7a03f644d6669f4fc25294ff41ca
Unapplied parent: d26f1677e8fd807bd6c6299853f8e3111ff04a9f

New changelog entries:
  * debian/patches-applied/061_pam_rlimits_nice_rtprio: Protect use of
    RLIMIT_NICE in init_limits() with an #ifdef.

ubuntu/breezy 2005-12-21 05:45:53 UTC 2005-12-21
Import patches-unapplied version 0.76-22ubuntu3 to ubuntu/breezy

Author: Colin Watson
Author Date: 2005-09-12 17:32:54 UTC

Import patches-unapplied version 0.76-22ubuntu3 to ubuntu/breezy

Imported using git-ubuntu import.

Changelog parent: 14e8a811133930146781d36fcb0fb62dbe41fca2

New changelog entries:
  * Fix pam_getenv, which never worked:
    - Parse /etc/security/pam_env.conf using its own syntax, and then
      /etc/environment using its own syntax rather than the syntax of
      /etc/security/pam_env.conf.
    - 'my $val' was used in an incorrect scope; fixed.
    - Exit non-zero if the requested environment variable is not found.
  * debian/rules: Install unix_chkpwd setgid shadow instead of setuid root.
    This only breaks when using NIS lookups, therefore the new nis package
    dpkg-statoverrides it back to setuid root while being installed.
    (Debian #155583, http://udu.wiki.ubuntu.com/ProactiveSecurityRoadmap)
  * debian/control: Added conflict to nis (<< 3.13-3ubuntu1): This is the
    version that corrects the permissions for usage with NIS.
  * Fix FTBFS with gcc-3.4 (closes: #259634). Ubuntu 9037.

applied/ubuntu/breezy 2005-12-21 05:45:53 UTC 2005-12-21
Import patches-applied version 0.76-22ubuntu3 to applied/ubuntu/breezy

Author: Colin Watson
Author Date: 2005-09-12 17:32:54 UTC

Import patches-applied version 0.76-22ubuntu3 to applied/ubuntu/breezy

Imported using git-ubuntu import.

Changelog parent: 96d22ed37cbbaf15d75ba363a38702f979e8a9e5
Unapplied parent: ee679b9edd49969b8a642c1bbd99fb0872a0da23

New changelog entries:
  * Fix pam_getenv, which never worked:
    - Parse /etc/security/pam_env.conf using its own syntax, and then
      /etc/environment using its own syntax rather than the syntax of
      /etc/security/pam_env.conf.
    - 'my $val' was used in an incorrect scope; fixed.
    - Exit non-zero if the requested environment variable is not found.
  * debian/rules: Install unix_chkpwd setgid shadow instead of setuid root.
    This only breaks when using NIS lookups, therefore the new nis package
    dpkg-statoverrides it back to setuid root while being installed.
    (Debian #155583, http://udu.wiki.ubuntu.com/ProactiveSecurityRoadmap)
  * debian/control: Added conflict to nis (<< 3.13-3ubuntu1): This is the
    version that corrects the permissions for usage with NIS.
  * Fix FTBFS with gcc-3.4 (closes: #259634). Ubuntu 9037.

applied/ubuntu/breezy-devel 2005-12-21 05:45:53 UTC 2005-12-21
Import patches-applied version 0.76-22ubuntu3 to applied/ubuntu/breezy

Author: Colin Watson
Author Date: 2005-09-12 17:32:54 UTC

Import patches-applied version 0.76-22ubuntu3 to applied/ubuntu/breezy

Imported using git-ubuntu import.

Changelog parent: 96d22ed37cbbaf15d75ba363a38702f979e8a9e5
Unapplied parent: ee679b9edd49969b8a642c1bbd99fb0872a0da23

New changelog entries:
  * Fix pam_getenv, which never worked:
    - Parse /etc/security/pam_env.conf using its own syntax, and then
      /etc/environment using its own syntax rather than the syntax of
      /etc/security/pam_env.conf.
    - 'my $val' was used in an incorrect scope; fixed.
    - Exit non-zero if the requested environment variable is not found.
  * debian/rules: Install unix_chkpwd setgid shadow instead of setuid root.
    This only breaks when using NIS lookups, therefore the new nis package
    dpkg-statoverrides it back to setuid root while being installed.
    (Debian #155583, http://udu.wiki.ubuntu.com/ProactiveSecurityRoadmap)
  * debian/control: Added conflict to nis (<< 3.13-3ubuntu1): This is the
    version that corrects the permissions for usage with NIS.
  * Fix FTBFS with gcc-3.4 (closes: #259634). Ubuntu 9037.

ubuntu/breezy-devel 2005-12-21 05:45:53 UTC 2005-12-21
Import patches-unapplied version 0.76-22ubuntu3 to ubuntu/breezy

Author: Colin Watson
Author Date: 2005-09-12 17:32:54 UTC

Import patches-unapplied version 0.76-22ubuntu3 to ubuntu/breezy

Imported using git-ubuntu import.

Changelog parent: 14e8a811133930146781d36fcb0fb62dbe41fca2

New changelog entries:
  * Fix pam_getenv, which never worked:
    - Parse /etc/security/pam_env.conf using its own syntax, and then
      /etc/environment using its own syntax rather than the syntax of
      /etc/security/pam_env.conf.
    - 'my $val' was used in an incorrect scope; fixed.
    - Exit non-zero if the requested environment variable is not found.
  * debian/rules: Install unix_chkpwd setgid shadow instead of setuid root.
    This only breaks when using NIS lookups, therefore the new nis package
    dpkg-statoverrides it back to setuid root while being installed.
    (Debian #155583, http://udu.wiki.ubuntu.com/ProactiveSecurityRoadmap)
  * debian/control: Added conflict to nis (<< 3.13-3ubuntu1): This is the
    version that corrects the permissions for usage with NIS.
  * Fix FTBFS with gcc-3.4 (closes: #259634). Ubuntu 9037.

applied/ubuntu/hoary 2005-12-20 21:37:54 UTC 2005-12-20
Import patches-applied version 0.76-22 to applied/ubuntu/hoary

Author: Sam Hartman
Author Date: 2004-06-28 18:28:08 UTC

Import patches-applied version 0.76-22 to applied/ubuntu/hoary

Imported using git-ubuntu import.

Changelog parent: 8debcc6e65df03355b9a646f37f9a3e0305a2350
Unapplied parent: 14e8a811133930146781d36fcb0fb62dbe41fca2

New changelog entries:
  * Add uploaders
  * Document location of repository
  * Fix options containing arguments in pam_unix, Closes: #254904

ubuntu/hoary-devel 2005-12-20 21:37:54 UTC 2005-12-20
Import patches-unapplied version 0.76-22 to ubuntu/hoary

Author: Sam Hartman
Author Date: 2004-06-28 18:28:08 UTC

Import patches-unapplied version 0.76-22 to ubuntu/hoary

Imported using git-ubuntu import.

Changelog parent: 2e01702cd31ca23eff4e1debfd13529431d41a14

New changelog entries:
  * Add uploaders
  * Document location of repository
  * Fix options containing arguments in pam_unix, Closes: #254904

ubuntu/hoary 2005-12-20 21:37:54 UTC 2005-12-20
Import patches-unapplied version 0.76-22 to ubuntu/hoary

Author: Sam Hartman
Author Date: 2004-06-28 18:28:08 UTC

Import patches-unapplied version 0.76-22 to ubuntu/hoary

Imported using git-ubuntu import.

Changelog parent: 2e01702cd31ca23eff4e1debfd13529431d41a14

New changelog entries:
  * Add uploaders
  * Document location of repository
  * Fix options containing arguments in pam_unix, Closes: #254904

applied/ubuntu/hoary-devel 2005-12-20 21:37:54 UTC 2005-12-20
Import patches-applied version 0.76-22 to applied/ubuntu/hoary

Author: Sam Hartman
Author Date: 2004-06-28 18:28:08 UTC

Import patches-applied version 0.76-22 to applied/ubuntu/hoary

Imported using git-ubuntu import.

Changelog parent: 8debcc6e65df03355b9a646f37f9a3e0305a2350
Unapplied parent: 14e8a811133930146781d36fcb0fb62dbe41fca2

New changelog entries:
  * Add uploaders
  * Document location of repository
  * Fix options containing arguments in pam_unix, Closes: #254904

ubuntu/warty-devel 2005-12-20 15:35:50 UTC 2005-12-20
Import patches-unapplied version 0.76-21 to ubuntu/warty

Author: Sam Hartman
Author Date: 2004-05-05 01:37:38 UTC

Import patches-unapplied version 0.76-21 to ubuntu/warty

Imported using git-ubuntu import.

applied/ubuntu/warty-devel 2005-12-20 15:35:50 UTC 2005-12-20
Import patches-applied version 0.76-21 to applied/ubuntu/warty

Author: Sam Hartman
Author Date: 2004-05-05 01:37:38 UTC

Import patches-applied version 0.76-21 to applied/ubuntu/warty

Imported using git-ubuntu import.

Unapplied parent: 2e01702cd31ca23eff4e1debfd13529431d41a14

applied/ubuntu/warty 2005-12-20 15:35:50 UTC 2005-12-20
Import patches-applied version 0.76-21 to applied/ubuntu/warty

Author: Sam Hartman
Author Date: 2004-05-05 01:37:38 UTC

Import patches-applied version 0.76-21 to applied/ubuntu/warty

Imported using git-ubuntu import.

Unapplied parent: 2e01702cd31ca23eff4e1debfd13529431d41a14

ubuntu/warty 2005-12-20 15:35:50 UTC 2005-12-20
Import patches-unapplied version 0.76-21 to ubuntu/warty

Author: Sam Hartman
Author Date: 2004-05-05 01:37:38 UTC

Import patches-unapplied version 0.76-21 to ubuntu/warty

Imported using git-ubuntu import.

201238 of 238 results

Other repositories

Name Last Modified
lp:ubuntu/+source/pam 2020-02-11
lp:~ubuntu-core-dev/ubuntu/+source/pam/+git/pam 2019-02-14
lp:~tjaalton/ubuntu/+source/pam 2018-04-06
lp:~vorlon/ubuntu/+source/pam 2018-03-17
14 of 4 results
You can't create new repositories for pam in Ubuntu.